<? require_once($_SERVER['DOCUMENT_ROOT'].'/block/head.php');
if(!isset($_SESSION["login"]) && !isset($_SESSION["pass"])) {
?>
<div class="row">
<div class="col-md-12">
<div class="alert alert-danger alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<h4><i class="icon fa fa-warning"></i> Внимание!</h4>
Для просмотра этой страницы нужно авторизоваться на сайте под своим логином. 
Если у вас ещё нет аккаунта - самое время пройти регистрацию и стать участником крупного проекта!
</div>
</div>
</div>
<?}else{?>

<div class="row">
<div class="col-md-12">
<div class="panel panel-default">
<div class="panel-body">
<h3>Ваши рекламные компании "Платные письма"</h3>
<p>
Эта оснавная страница управления вашей рекламой. На сайте <?=$name_site;?> предусмотринно множество мелочей, которые 
должны приятно вас удивить. Для начала вы можете выбрать любую компанию и остановить её показ, так же есть возможность быстрого перевода средств 
между своими рекламными материалами. Вы хотите изменить текст или другой параметр рекламы? Просто приостановите показы и нажмите кнопку "редактировать". 
Заканчивается балланс? Вас уведомят на почту или по SMS, а так же удобный график показов вашей площадки позволит Вам в полной мере ощутить эффективность 
этого вида рекламы. Так что смело начинайте рекламировать ваши проекты именно у нас!</br></br>
Помните, при удалении рекламы с сайта - взимается коммисия в размере <?=$dell_comis;?>%. Именно по этому мы реккомендуем вам перед удалением площадки 
перевести все оставшиеся денежные средства на другую площадку.
</p>
</div>
</div>
</div> 
</div>
<div class="row">
<div class="col-md-12">
<div class="panel panel-primary">
<div class="panel-heading">
<div class="panel-title-box">
<h3>Кабинет управления</h3>
<span>сортировка площадок предоставлена справа</span>
</div>
<ul class="panel-controls" style="margin-top: 2px;">
<li data-toggle="tooltip" title='Ожидает модерации'><a style="text-decoration: none; cursor: pointer;" rel="0" class="selected"><span class="fa fa-bullhorn"></span></a></li>
<li data-toggle="tooltip" title='Ссылка заблокирована'><a style="text-decoration: none; cursor: pointer;" rel="2" class="selected"><span class="fa fa-lock"></span></a></li>
<li data-toggle="tooltip" title='Активные ссылки'><a style="text-decoration: none; cursor: pointer;" rel="1" class="selected"><span class="fa fa-play"></span></a></li>
<li data-toggle="tooltip" title='Вся Ваша реклама'><a style="text-decoration: none; cursor: pointer;" rel="all" class="selected"><span class="fa fa-bars"></span></a></li>
</ul></div>
<?
$sql = mysql_query("SELECT * FROM `nano_rek_mail` WHERE `id_user`='$id_login'") or die(mysql_error());
if(mysql_num_rows($sql) == '0'){
?>
<table class="table table-bordered">
<tr class="item">
<td>
<a class="btn btn-primary btn-block" href='/add_mail'>Добавить рекламную площадку</a>
</td>
</tr>
</table>
<?}else{?>
<table class="table table-bordered">
<tr>
<th style="width: 30px"></th>
<th style="width: 30px">№</th>
<th style="width: 300px">Название ссылки</th>
<th>Прогесс выполнения</th>
<th style="width: 135px"><center>Сумма | Прайс</center></th>
<th style="width: 125px"><center>Операции</center></th>
</tr>
<?} 
while($row = mysql_fetch_assoc($sql)){
$id = $row["id"];
$summ = $row["summ"];
$cena = $row["cena"];
$clik = $row["clik"];
$name = $row["name"];
$url = $row["url"];
$activ = $row["activ"];
$moder = $row["moder"];
$pn = $row["pn"];
$vt = $row["vt"];
$sr = $row["sr"];
$ch = $row["ch"];
$pt = $row["pt"];
$sb = $row["sb"];
$vs = $row["vs"];
$all = round($summ/$cena,0);

if($all <= '20') { $prog = "danger";
}elseif($all <= '40') { $prog = "warning";
}elseif($all <= '60') { $prog = "warning";
}elseif($all <= '100000') { $prog = "success";}

if($activ == '0' and $moder == '0') { $st_mod = "fa-bullhorn"; $tt="Ожидает модерации"; $op="Ссылка ожидает проверки администрацией.";
}elseif($activ == '0' and $moder == '2') { $st_mod = "fa-lock"; $tt="Ссылка заблокирована!"; $op="Ссылка не соответствует правилам системы.";
}elseif($activ == '1' and $moder == '2') { $st_mod = "fa-lock"; $tt="Ссылка заблокирована!"; $op="Ссылка не соответствует правилам системы.";
}elseif($activ == '1' and $moder == '1') { $st_mod = "fa-pause"; $tt="Приостановить ссылкy";
}elseif($activ == '0' and $moder == '1') { $st_mod = "fa-play"; $tt="Запустить показ ссылки";}
?>
<tr class="item">
<td rel="<?=$moder;?>"><a id="st_pa_<?=$id;?>" style="text-decoration: none; cursor: pointer;" class="fa <?=$st_mod;?>" data-toggle="tooltip" title="<?=$tt;?>" <?if($summ < $cena AND $moder == '1'){?>onclick='javascript:alertbudget();'<?}else{ if($moder == '1'){?> onclick="activ(<?=$id;?>,'1');"<? }}?>></a></td>
<td rel="<?=$moder;?>"><center><?=$id;?></center></td>
<td rel="<?=$moder;?>"><?=$name;?></td>
<td rel="<?=$moder;?>">
<?if($activ == '0' and $moder == '0') {?>
<div class="progress progress-xs">
<div class="progress-bar progress-bar-warning" data-toggle="tooltip" title="<?=$op;?>" style="width: 100%"></div>
</div>
<?}elseif($moder == '2'){?>
<div class="progress progress-xs">
<div class="progress-bar progress-bar-danger" data-toggle="tooltip" title="<?=$op;?>" style="width: 100%"></div>
</div>
<?}else{?>
<div class="progress" data-toggle="tooltip" title='Осталось <?=$all;?> кликов.'>
<div class="progress-bar progress-bar-<?=$prog;?> progress-bar-striped active" role="progressbar" aria-valuenow="<?=$all;?>" aria-valuemin="0" aria-valuemax="100" style="width: <?=$all;?>%"></div>
</div>
<?}?>
</td>
<td rel="<?=$moder;?>"><center><span class="badge bg-success" id='summ_pl_<?=$id;?>'><?=$summ;?></span> <b>|</b> <span class="badge bg-danger"><?=$cena;?></span></center></td>
<td rel="<?=$moder;?>"><center>
<?if($moder == '1') {?>
<a class='fa fa-rub' style="padding-right: 5px; text-decoration: none;" href='javascript:void(0);' data-toggle="tooltip" title='Пополнить бюджет' onclick="hideserfaddblock('add_money_<?=$id;?>');"></a>
<a class='fa fa-pencil-square-o' style="padding-right: 5px; text-decoration: none; cursor: pointer;" <?if($activ == '1') {?>onclick='javascript:alertbudget_1();'<?}else{?>href='/ed_mail_<?=$id;?>'<?}?> data-toggle="tooltip" title='Редактировать'></a>
<a class='fa fa-sliders' style="padding-right: 5px; text-decoration: none;" href='javascript:void(0);' data-toggle="tooltip" title='Статистика' onclick="hideserfaddblock('stat_<?=$id;?>');"></a>
<a class='fa fa-money' style="padding-right: 5px; text-decoration: none;" href='javascript:void(0);' data-toggle="tooltip" title='Перевести деньги' onclick="hideserfaddblock('next_<?=$id;?>');"></a>
<?}?>
<a class='fa fa-trash-o' style="padding-right: 5px; text-decoration: none;" data-toggle="tooltip" title='Удалить, комиссия: <?=$dell_comis;?>%' href='javascript:void(0);' onclick='del_<?=$id;?>();'></a>
</center></td>
</tr>
<tr class="item" id="add_money_<?=$id;?>" style='display: none;'>
<td rel="<?=$moder;?>" colspan="4"><button class="btn btn-primary btn-block" href='javascript:void(0);' onclick='add_money_kontext_<?=$id;?>();'>Пополнить сумму рекламной площадки</button></td>
<td rel="<?=$moder;?>" colspan="2"><center>
<form method="post" action="">
<div class="input-group">
<input type="text" name="linkprice" class="form-control" maxlength="6" value="" id="pric_<?=$id;?>">
<div class="input-group-addon" data-toggle="tooltip" title="Введите вашу сумму."><i class="fa fa-rub"></i></div>
</div>
</form>
</center></td>
</tr>

<tr class="item" id="next_<?=$id;?>" style='display: none;'>
<td rel="<?=$moder;?>" colspan="3"><button class="btn btn-primary btn-block" href='javascript:void(0);' onclick="next('<?=$id;?>','1');">Перевести сумму</button></td>
<td rel="<?=$moder;?>">
<center>
<div class="input-group">
<div class="input-group-addon" data-toggle="tooltip" title="Выберите нужную рекламную площадку"><i class="fa fa-laptop"></i></div>
<select id='next_sm_<?=$id;?>' class="form-control">
<?
//
$d_sql = mysql_query("SELECT `id` FROM `nano_rek_dinamika` WHERE `id_user`='$id_login' AND `moder`='1' AND `id`<>'$id'") or die(mysql_error());
if(mysql_num_rows($d_sql) > 0){
echo "<option disabled='disabled'>Динамическая ссылка</option>";
while($d_row = mysql_fetch_assoc($d_sql)){
$id_d = $d_row["id"];
echo "<option value='4:$id_d'>-- Рекламная площадка №$id_d</option>";
}
}
//
$d_sql = mysql_query("SELECT `id` FROM `nano_rek_task` WHERE `id_user`='$id_login' AND `moder`='1' AND `id`<>'$id'") or die(mysql_error());
if(mysql_num_rows($d_sql) > 0){
echo "<option disabled='disabled'>Задания</option>";
while($d_row = mysql_fetch_assoc($d_sql)){
$id_d = $d_row["id"];
echo "<option value='5:$id_d'>-- Рекламная площадка №$id_d</option>";
}
}
//
$d_sql = mysql_query("SELECT `id` FROM `nano_rek_mail` WHERE `id_user`='$id_login' AND `moder`='1' AND `id`<>'$id'") or die(mysql_error());
if(mysql_num_rows($d_sql) > 0){
echo "<option disabled='disabled'>Платные письма</option>";
while($d_row = mysql_fetch_assoc($d_sql)){
$id_d = $d_row["id"];
echo "<option value='6:$id_d'>-- Рекламная площадка №$id_d</option>";
}
}
//
$k_sql = mysql_query("SELECT `id` FROM `nano_rek_kontext` WHERE `id_user`='$id_login' AND `moder`='1' AND `id`<>'$id'") or die(mysql_error());
if(mysql_num_rows($k_sql) > 0){
echo "<option disabled='disabled'>Контекстная ссылка</option>";
while($k_row = mysql_fetch_assoc($k_sql)){
$id_k = $k_row["id"];
echo "<option value='1:$id_k'>-- Рекламная площадка №$id_k</option>";
}
}
//
$p_sql = mysql_query("SELECT `id` FROM `nano_rek_psmenu` WHERE `id_user`='$id_login' AND `moder`='1' AND `id`<>'$id'") or die(mysql_error());
if(mysql_num_rows($p_sql) > 0){
echo "<option disabled='disabled'>Псевдо меню</option>";
while($p_row = mysql_fetch_assoc($p_sql)){
$id_p = $p_row["id"];
echo "<option value='2:$id_p'>-- Рекламная площадка №$id_p</option>";
}
}
//
$b_sql = mysql_query("SELECT `id` FROM `nano_rek_banner` WHERE `id_user`='$id_login' AND `moder`='1' AND `id`<>'$id'") or die(mysql_error());
if(mysql_num_rows($b_sql) > 0){
echo "<option disabled='disabled'>Баннерная реклама</option>";
while($b_row = mysql_fetch_assoc($b_sql)){
$id_b = $b_row["id"];
echo "<option value='3:$id_b'>-- Рекламная площадка №$id_b</option>";
}
}
?> 
</select>
</div>
</center>
</td>
<td rel="<?=$moder;?>" colspan="2">
<center>
<div class="input-group">
<input type="text" class="form-control" id='next_summ_<?=$id;?>' value='<?=$summ;?>'>
<div class="input-group-addon" data-toggle="tooltip" title="Введите вашу сумму."><i class="fa fa-rub"></i></div>
</div>
</center>
</td>
</tr>

<tr class="item" id="stat_<?=$id;?>" style='display: none;'>
<td rel="<?=$moder;?>" colspan="4">
<div id="chartdiv_<?=$id;?>" style="min-width: 200px; height: 250px; max-width: 100%; margin: 0 auto"></div>
</td>
<td rel="<?=$moder;?>" colspan="2" style="width: 245px" bgcolor="#f5f5f5">

<?
$res = mysql_query("SELECT * FROM `nano_rek_ip` WHERE `id_rek`='$id' AND `name_rek`='5' AND `ok`='1' ORDER BY `id` DESC LIMIT 9") or die(mysql_error());
if(mysql_num_rows($res) > 0)
while ($row = mysql_fetch_assoc($res)){
	
$ip = $row["ip"];
$id_user = $row["id_user"];
$date = date("d.m.y", $row["time"]);
$time_us = date("H:i", $row["time"]);
if($id_user == '0'){
$login_r = "Не зарегистрирован";
$avatar_r = "no.jpg";
}else{
$login_r = mysql_result(mysql_query("SELECT `login` FROM `nano_user` WHERE `id`='$id_user'"),0,0);
$avatar_r = mysql_result(mysql_query("SELECT `avatar` FROM `nano_user` WHERE `id`='$id_user'"),0,0);
}
$id_user_ts = prof_url($id_user, $id_login);
?>
<div class="col-md-4 col-xs-4">
<a href='/profil<?=$id_user_ts;?>' class="friend">
<img src="/upload/avatar/<?=$avatar_r;?>"/ data-toggle="tooltip" title="<?=$login_r;?> (<?=$time_us;?>)">
<span><?=$date;?></span>
</a>
</div>
<?}?>

</td>
</tr>

<script>
function add_money_kontext_<?=$id;?>() {
{
var summ = ($('#pric_<?=$id;?>').val());
$.ajax({
type: "POST", 
url: "/ajax/my_reklama.php", 
data: { 'func' : 'add_money_kontext', 'summ' : summ, 'id' : <?=$id;?>, 'asoc' : 6},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Ошибка:','Нужно ввести сумму!',4000,'bottom-right');}
else if(data == 2){ QBinfo('Ошибка:','Сумма должна быть больше 0!',4000,'bottom-right');}
else if(data == 3){ QBinfo('Поздравляем:','Товар успешно добавлен в корзину, можете продолжать!',4000,'bottom-right');
setTimeout('location.replace("<?=$adres; ?>")', 2000);
}
progress = false;
}
});
}
}

function del_<?=$id;?>() {
{
$.ajax({
type: "GET", 
url: "/ajax/my_reklama.php", 
data: { 'func' : 'del', 'id' : <?=$id;?>, 'asoc' : 6},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Ошибка:','Остановите рекламную компанию!',4000,'bottom-right');}
else if(data == 2){ QBinfo('Поздравляем:','Рекламная компания удалена, удержана комиссия: <?=$dell_comis;?>%!',4000,'bottom-right');
setTimeout('location.replace("<?=$adres; ?>")', 2000);
}
progress = false;
}
});
}
}

var chart;
var chartData_<?=$id;?> = [
{
"country": "Пн",
"visits": <?=$pn;?>
},
{
"country": "Вт",
"visits": <?=$vt;?>
},
{
"country": "Ср",
"visits": <?=$sr;?>
},
{
"country": "Чт",
"visits": <?=$ch;?>
},
{
"country": "Пт",
"visits": <?=$pt;?>
},
{
"country": "Сб",
"visits": <?=$sb;?>
},
{
"country": "Вс",
"visits": <?=$vs;?>
},

];


AmCharts.ready(function () {
// SERIAL CHART
chart = new AmCharts.AmSerialChart();
chart.dataProvider = chartData_<?=$id;?>;
chart.categoryField = "country";
chart.startDuration = 1;

// AXES
// category
var categoryAxis = chart.categoryAxis;
categoryAxis.labelRotation = 90;
categoryAxis.gridPosition = "start";

// value
// in case you don't want to change default settings of value axis,
// you don't need to create it, as one value axis is created automatically.

// GRAPH
var graph = new AmCharts.AmGraph();
graph.valueField = "visits";
graph.balloonText = "[[category]]: <b>[[value]]</b>";
graph.type = "column";
graph.lineAlpha = 0;
graph.fillAlphas = 0.8;
chart.addGraph(graph);

// CURSOR
var chartCursor = new AmCharts.ChartCursor();
chartCursor.cursorAlpha = 0;
chartCursor.zoomable = false;
chartCursor.categoryBalloonEnabled = false;
chart.addChartCursor(chartCursor);

chart.creditsPosition = "top-right";

chart.write("chartdiv_<?=$id;?>");
});
</script>
<?}?>
</table>

</div>
</div>
</div>
<script>
function hideserfaddblock(id) {
if (document.getElementById(id).style.display == 'none') {
document.getElementById(id).style.display = '';
}else{
document.getElementById(id).style.display = 'none';
}
return false;
}

function alertbudget(){
QBinfo('Ошибка:','Пополните рекламный бюджет!',4000,'bottom-right');
return false;
}

function alertbudget_1(){
QBinfo('Ошибка:','Остановите рекламную компанию и обновите страницу!',4000,'bottom-right');
return false;
}

function activ(id){
if(!progress){
$.ajax({ 
type: "POST", 
url: "/ajax/my_reklama.php", 
data: { 'func' : 'activ', 'id' : id, 'asoc' : 6},
beforeSend: function(){ progress = true;},
success: function(data) {
$("#st_pa_"+id).removeClass();
if(data == 0) {
$("#st_pa_"+id).addClass( "fa fa-play");
} else {
$("#st_pa_"+id).addClass( "fa fa-pause");
}
progress = false;
}
});
}
}

function next(id) {
if(!progress){
var to = $.trim($('#next_sm_'+id).val());
var too = to.substr(2);
var summ = $.trim($('#next_summ_'+id).val()).replace(',','.');
var s1 = $.trim($("#summ_pl_"+id).text());
var s2 = $.trim($("#summ_pl_"+too).text());
val1 = (s1*1 - summ*1).toFixed(2);
val2 = (s2*1 + summ*1).toFixed(2);
$.ajax({ 
type: "POST", 
url: "ajax/my_reklama.php", 
data: { 'func' : 'next', 'id' : id, 'to' : to, 'summ' : summ, 'asoc' : 6},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Ошибка:','Нет такой рекламной площадки!',4000,'bottom-right');}
if(data == 2) { QBinfo('Ошибка:','Неверно указана сумма!',4000,'bottom-right');}
if(data == 3) { QBinfo('Поздравляем:','Рекламная площадка успешно пополнена!',4000,'bottom-right');
$("#next_sm_"+id).hide();
$("#summ_pl_"+id).html(val1);
$("#summ_pl_"+too).html(val2);
}
if(data == 4) { QBinfo('Ошибка:','Рекламная площадка не приостановлена!',4000,'bottom-right');}
progress = false;
}
});
}
}

$(document).ready(function() {
$('.panel-controls a').click(function() {
$('.panel-controls').removeClass('selected');
$(this).parent('').addClass('selected');
thisItem 	= $(this).attr('rel');
if(thisItem != "all") {
$('.item td[rel='+thisItem+']').show()
.animate({
'opacity' : 1, 
'marginRight' : '.5em', 
'marginTop' : '5em'
});
$('.item td[rel!='+thisItem+']').hide()
.animate({
'opacity' : 0,
'marginRight' : 0, 
'marginTop' : 0
});
}else{
$('.item td').show()
.animate({'opacity' : 1, 
'marginRight' : '.5em', 
'marginTop' : '5em'
});
}
})
});
</script>
 
<?} require_once($_SERVER['DOCUMENT_ROOT'].'/block/foot.php'); ?>